
#ifndef Json_h
#define Json_h

#include <Arduino.h>
#include "Global.h"

class Json
{
private:
public:
    Json(/* args */);
    ~Json();

    /**
     * @brief 设备状态Json数据上报
     *
     */
    String StatusDataReport();

    /**
     * @brief 电能数据josn封装
     *
     * @return String
     */
    String PowerHarvesting();

    /**
     * @brief 解析获取到的电能数据
     *
     * @param str
     */
    void ParseJson(String str);
};

extern Json myJson;
#endif